Bug 1653131 - cloud-init remove 'NOZEROCONF=yes' from /etc/sysconfig/network [NEEDINFO]
Summary: cloud-init remove 'NOZEROCONF=yes' from /etc/sysconfig/network
Status: ON_QA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cloud-init   
(Show other bugs)
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 7.7
Assignee: Eduardo Otubo
QA Contact: Vratislav Hutsky
URL:
Whiteboard:
Keywords: Regression
: 1651171 (view as bug list)
Depends On:
Blocks: 1691685
TreeView+ depends on / blocked
 
Reported: 2018-11-26 02:05 UTC by Keigo Noha
Modified: 2019-04-04 10:05 UTC (History)
19 users (show)

Fixed In Version: cloud-init-18.2-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1691685 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yacao: needinfo? (vhutsky)


Attachments (Terms of Use)
Fedora's patch (7.63 KB, patch)
2018-12-19 07:28 UTC, Keigo Noha
no flags Details | Diff

Description Keigo Noha 2018-11-26 02:05:41 UTC
Description of problem:
cloud-init v18.2 removes 'NOZEROCONF=yes' from overcloud nodes.


Version-Release number of selected component (if applicable):
cloud-init-18.2-1.el7_6.1.x86_64

How reproducible:
Every deployment.

Steps to Reproduce:
1. Deploy overcloud nodes using an image in RHOSP13z3.
2.
3.

Actual results:
'NOZEROCONF=yes' doesn't exist in /etc/sysconfig/network.

Expected results:

'NOZEROCONF=yes' exists in /etc/sysconfig/network.

Additional info:

Comment 4 Ricardo J. Barberis 2018-12-13 14:50:39 UTC
Hello,

We have an old OpenStack installation (Icehouse) and we need 'NOZEROCONF=yes' to prevent having a 169.254.0.0 route and be able to reach OpenStack's metadata service.

I found a bug (https://bugzilla.redhat.com/show_bug.cgi?id=1558641) in which Fedora applied a patch to cloud-init 17.1 to avoid this overwriting.

I applied that patch to cloud-init-18.2-1.el7.centos.1.src.rpm and recompiled it and now it doesn't overwrite /etc/sysconfig/network anymore.


BTW, I see this bug is marked as NEEDINFO. What info is needed? Maybe I can help.

Comment 5 Keigo Noha 2018-12-19 06:44:13 UTC
Hello Ricardo,

Thank you for your comment on this bugzilla. It is really helpful for us.
It seems that the fix in RHBZ#1558641 might be changed between cloud-init-18.2 and cloud-init-17.
I'm checking the changelogs in cloud-init.

And needinfo means that someone requests an information or opinion onto his/her comment.

Best Regards,
Keigo Noha

Comment 6 Keigo Noha 2018-12-19 07:27:17 UTC
Hello Eduardo,

The fix for cloud-init-17.1-4.fc28 for not changing default network configuration is not merged into the upstream.
I put patch in Fedora's package into this bugzilla.

Best Regards,
Keigo NOha

Comment 7 Keigo Noha 2018-12-19 07:28 UTC
Created attachment 1515501 [details]
Fedora's patch

A patch in Fedora.

Comment 12 Eduardo Otubo 2019-01-11 14:57:09 UTC
*** Bug 1651171 has been marked as a duplicate of this bug. ***

Comment 15 Keigo Noha 2019-01-29 05:19:41 UTC
Hi Eduardo,

Do you have any updates on this bugzilla?

Regards,
Keigo Noha

Comment 16 Eduardo Otubo 2019-02-08 13:58:47 UTC
(In reply to Keigo Noha from comment #15)
> Hi Eduardo,
> 
> Do you have any updates on this bugzilla?
> 
> Regards,
> Keigo Noha

I don't have any updates on this.
Looking forward on puiterwijk's opinions on this, though

Comment 36 Miroslav Rezanina 2019-03-25 14:07:10 UTC
Fix included in cloud-init-18.2-5.el7

Comment 38 Alex Stupnikov 2019-04-04 10:04:47 UTC
Workaround: we were able to overcome this issue by downgrading cloud-init to v 0.7.9.
Temporary solution: install cloud-init 0.7.9 instead of cloud-init 18.2

BR, Alex.


Note You need to log in before you can comment on or make changes to this bug.